// ICano.cpp: implementation of the ICano class.
//
//////////////////////////////////////////////////////////////////////

#include "ICano.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ICano::ICano()
{
	// Dades del grfic
	
	GraficPosicio.Assign(0,368);
	Mida.Assign(68,70);
	
	GraficAvanca.Assign(69,0);	
	GraficsNumero=7;
	GraficNumActual=0;

	point2 lloc(282,390);
	Posicio.Init(lloc,270);

	Velocitat = 0;
	Vida = 0;
	Gira = false;
	// Sons a fer	
	So[0]=0;
	So[1]=1;
}

ICano::~ICano()
{

}

int ICano::Tocat()
{
	// Si el can s'ha mort ... 
	return false;
}

void ICano::Mou(int CanviAngle)
{
	// Hem de moure el can per amb un
	// costat fix ( hauria de ser una bonica rotaci, per no s com es fa ... )

	// Els angles van des de 180 a 360
	Posicio.CanviAngle(CanviAngle);

	int Angie = Posicio.AngleEnGraus();

	if (Angie>=270)
	{
		
		if (Gira)
		{
			Posicio.Coord.x +=26;
		}
		Gira = false;
		Angie = Angie - 270;
	}
	else
	{
		if (!Gira)
		{
			Posicio.Coord.x -=26;
		}

		Gira = true;
		Angie = 270 - Angie;
	}	
	int GraficAra = Angie / 15; 

	// Canviar el grfic
	if (GraficAra!=GraficNumActual)
	{
		if (GraficAra>GraficNumActual) 
		{
			GraficPosicio = GraficPosicio + GraficAvanca;
		}
		else
		{
			GraficPosicio = GraficPosicio - GraficAvanca;
		}
		GraficNumActual = GraficAra;
	}	
}

IProjectil* ICano::Shot()
{
	// El can dispara!!		
	IPosicio P = Posicio;
	// Xapussilla per fer que els trets surtin del lloc ... 
	if (Gira) P.Coord.x = Posicio.Coord.x + Mida.x - 20 - GraficNumActual*4; // (Mida.x/2);
		else   P.Coord.x = Posicio.Coord.x + 20 + GraficNumActual*4; // (Mida.x/2);
	if (GraficNumActual>2) P.Coord.y = Posicio.Coord.y + (Mida.y/2);
	// point2 punt(LlocX, Posicio.Coord.y);
	// P.Init(punt,Posicio.Angle);
	return new IProjectil(P);	

}


bool ICano::IsGirat()
{
	return Gira;
}

int ICano::SoShot()
{
	return So[0];
}
