// IPosicio1.cpp: implementation of the IPosicio class.
//
//////////////////////////////////////////////////////////////////////

#include "IPosicio1.h"
#include "math.h"

#define PI 3.14159265359
#define RAD 3.14159265359/180   
       
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IPosicio::IPosicio()
{

}

IPosicio::~IPosicio()
{

}


void IPosicio::Init(point2 Pos, int MovAngle)
{
	Coord.Assign(Pos.x,Pos.y);	
	Angle = (MovAngle * RAD); // 0.0174533;
}

void IPosicio::Mou(float velocitat)
{
	// Moure la posici de Coord segons l'angle establert.
	Coord.x =  (Coord.x + (float)(cos(Angle) * velocitat));
	Coord.y =  (Coord.y + (float)(sin(Angle) * velocitat));	
}

point2 IPosicio::OnSoc()
{
	return Coord;
}

void IPosicio::CanviAngle(int NouAngle)
{
	Angle = Angle + (NouAngle*RAD); // 0.0174533;
	if (Angle> 2*PI) Angle=2*PI;
	if (Angle<PI) Angle=PI;	
}

int IPosicio::AngleEnGraus()
{
	double Graus = Angle*180/PI;
	
	return (int) Graus;
}
