// ISoldat.h: interface for the ISoldat class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ISOLDAT_H__97AEA35B_CA96_435C_86A1_B0E26D92ED26__INCLUDED_)
#define AFX_ISOLDAT_H__97AEA35B_CA96_435C_86A1_B0E26D92ED26__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ISprite.h"
#include "point2.h"	// Added by ClassView

class ISoldat : public ISprite  
{
	void GraficsTo(int i);
	bool SiTocaParacaigudes(const SDL_Rect p);

	unsigned int Tipus;
	point2 MidaParacaigudes;
public:
	bool IsMort();		  // Ens diu si l'hem de matar
	bool ArribaABaix();   // Retorna si arriba viu
	int Tocat(const SDL_Rect &Bala); // Individu tocat: On? 
	void Mou();			  // Moure l'individu entre els estats
	ISoldat(point2 lloc);
	ISoldat();
	virtual ~ISoldat();	
};

#endif // !defined(AFX_ISOLDAT_H__97AEA35B_CA96_435C_86A1_B0E26D92ED26__INCLUDED_)
