// ISprite.cpp: implementation of the ISprite class.
//
//////////////////////////////////////////////////////////////////////

#include "ISprite.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ISprite::ISprite()
{

	bEstaMort = false;
	Vida=0;	
	GraficNumActual=1;

}

ISprite::~ISprite()
{

}

int ISprite::Tocat()
{

	return 0;
}

void ISprite::Mou()
{
	Posicio.Mou(Velocitat);
	//  #####  Moure els grfics  #####
	GraficPassada++;
	if (GraficCanviaCada==GraficPassada)
	{
		// Canviar el grfic
		GraficPosicio = GraficPosicio + GraficAvanca;	
		GraficNumActual = (GraficNumActual + 1) % GraficsNumero;
		if (GraficNumActual==0)
		{
			GraficPosicio.Assign(GraficPrimer.x,GraficPrimer.y);
		}
		GraficPassada=0;
	}
}

SDL_Rect ISprite::GetPosRectangle()
{
	SDL_Rect rect;
	rect.y = Posicio.Coord.y;
	rect.x = Posicio.Coord.x;
	rect.h = Mida.y;
	rect.w = Mida.x;
	return rect;
}

SDL_Rect ISprite::GetGraficRectangle()
{
	SDL_Rect rect;
	rect.y = GraficPosicio.y;;
	rect.x = GraficPosicio.x;
	rect.h = Mida.y;
	rect.w = Mida.x;
	return rect;
}
