// IAvio.cpp: implementation of the IAvio class.
//
//////////////////////////////////////////////////////////////////////

#include "IAvio.h"
#include "ISoldat.h"
#include <stdlib.h>
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IAvio::IAvio()
{
	bEstaMort=false;
}

IAvio::~IAvio()
{

}

int IAvio::Tocat()
{
	// So de destrucci
	bEstaMort=true;
	return bEstaMort;
}

/*
* 
* Determinar si un soldata ha de ser llenat o no...
*
*/

ISoldat* IAvio::Caga()
{
	ISoldat *You = NULL;


	if (SoldatsDins==0) return NULL;
		
	if (ProvabiCagar > RandFloat()) 
	{
		SoldatsDins--;
		point2 Punt(Posicio.Coord.x,Posicio.Coord.y);
		return new ISoldat(Punt);
	}
	else
	{
		return NULL;
	}
}

IAvio::IAvio(float provabi, int soldats)
{
	// Dades del grfic
	Mida.Assign(98,38);
	GraficAvanca.Assign(98,0);
	GraficPosicio.Assign(0,316);
	GraficsNumero=4;
	GraficNumActual=0;
	GraficNumActual=0;
	GraficCanviaCada=1;
	GraficPassada=0;

	GraficPrimer.Assign(0,316);
	
	// S'hauria de decidir per quin costat apareix
	// i fer-lo apareixer a 620,0 o 0,0
	int Costat = rand()%2;

	if (Costat==0)
	{
		Gira=true;
		point2 p(0,0);
		Posicio.Init(p,0);
	}
	else
	{
		Gira=false;
		point2 p(620,0);	
		Posicio.Init(p,180);
	}
	// Gira = true;
	// point2 p(0,0);
	// Posicio.Init(p,0);

	// Altres
	ProvabiCagar = provabi;
	SoldatsDins  = soldats;
	Velocitat = 5;
	bEstaMort=false;

	Vida = 0;
	So[0]=0;
	So[1]=1;
}


bool IAvio::IsMort()
{
	return bEstaMort;
}

bool IAvio::IsGirat()
{
	return Gira;
}
