// ISprite.h: interface for the ISprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ISPRITE_H__682BE734_E762_47DC_913E_20411A47FB49__INCLUDED_)
#define AFX_ISPRITE_H__682BE734_E762_47DC_913E_20411A47FB49__INCLUDED_


#include "IPosicio1.h"	
#include "point2.h"	// Added by ClassView
#include "General.h"

// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class ISprite  
{
public:
	float UltimMoviment;
	int So[2];
	
	SDL_Rect GetPosRectangle();
	SDL_Rect GetGraficRectangle();
	// Dades per carregar grfics
	point2 GraficAvanca;
	point2 GraficPrimer;
	point2 GraficPosicio;
	int GraficsNumero;
	int GraficCanviaCada;
	int GraficPassada;
	
	int GraficNumActual;

	// -----------
	float Velocitat;	
	virtual void Mou();
	virtual int Tocat();
	IPosicio Posicio; // Posici en la que est
	point2 Mida;		// Amplada i Altura
	// ---- Control d'explosions
	int Vida;		// Quanta vida li queda quan est tocat

	bool bEstaMort;
	ISprite();
	virtual ~ISprite();

};

#endif // !defined(AFX_ISPRITE_H__682BE734_E762_47DC_913E_20411A47FB49__INCLUDED_)
