#include "Marcador.h"

Marcador::Marcador(SDL_Surface *p, int destix, int destiy)
{
	pantalla=p;
	punts=0;
	Lloc.x=destix;
	Lloc.y=destiy;
	Lloc.w=49;
	Lloc.h=32;
	numeros = IMG_Load("/rd/numeros.png");
}

Marcador::~Marcador(void)
{
	SDL_FreeSurface(numeros);	
}

void Marcador::Suma(int i)
{
	punts+=i;
}

void Marcador::Resta(int i)
{
	punts-=i;
	if (punts<0) punts=0;
}

int Marcador::getPunts()
{
	return punts;
}

void Marcador::Pinta()
{
	SDL_Rect Desti,Numero;
	int passades = NumXifres(punts);
	
	// ---- LOCAL ----
	Desti.x = Lloc.x + 51;
	Desti.y = Lloc.y + 5;
	for (int k=passades-1; k>=0; k--)
	{
        	Numero.x=Xifra(k,punts)*30;
		Numero.y=0;
		Numero.w=30;
		Numero.h=30;
		SDL_BlitSurface(numeros, &Numero , pantalla, &Desti);
		Desti.x=Desti.x+30;
	}
}

int Marcador::NumXifres( int valor)
{
	int contador=1;
	while (valor>9)
	{		
		// int nou=(valor/10)*10;
		// valor = valor - nou;
		valor = valor / 10;
		contador++;
	}
	return contador;
}


int Marcador::Xifra(int Posicio, int num)
{
	int valor = num;
	int passada=0;

	while (passada!=Posicio)
	{
		valor=valor/10;
		passada++;
	}
	return valor = valor % 10; 	
}
